Le labo

Bidouilles et prises de notes en vrac

Accueil > Docs > Mise à jour Ubuntu 13.10

Mise à jour Ubuntu 13.10

mercredi 9 octobre 2013, par b_b

Quelques petites choses à fixer après une mise à jour vers Ubuntu 13.10.

Rétablir les PPAs désactivés pendant l’upgrade

Le bug qui fait qu’on ne peut pas modifier ou rétablir les PPAs après une mise à niveau n’est toujours pas corrigé. Il suffit d’appliquer le script proposé dans le post #20 du rapport de bug pour corriger ça.

(Re)Désinstaller Ubuntu One

Comme à chaque mise à jour, on supprime les paquets de Ubuntu One (si on ne souhaite pas utiliser ce service bien sûr) :

http://www.weblog.eliaz.fr/article107.html

Désactiver l’indicateur de changement de langue

La version 13.10 embarque un nouvel indicateur présent dans la barre haute à côté de l’horloge.

Pour désactiver celui-ci il suffit de se rendre dans les Préférences systèmes > Text entry et de décocher la case Show current input source in the menu bar.

Désactiver l’icône de changement de bureau dans le lanceur

Il est possible de désactiver cet icône depuis les Préférences système dans la partie Apparence, mais cela désactivera complètement la fonctionnalité des bureaux virtuels. Si vous souhaitez uniquement retirer l’icône du lanceur tout en continuant à utiliser les bureaux virtuels voici la solution.

À l’aide de l’outil dconf-editor, naviguez dans l’arborescence en suivant le chemin : com > canonical > unity > launcher. Puis modifiez la valeur de la clé favorites pour en supprimer la portion suivante 'unity://expo-icon'.

Vous pouvez aussi effectuer cette modification depuis votre terminal.

Bug avec le plugin Viewport Switching de Compiz

Si comme moi vous utilisez ce plugin pour passer d’un espace de travail à un autre à l’aide de la molette de votre souris, vous remarquerez que le scroll sera inactif dans certains applications (nautilus pour n’en citer qu’une). Le bug est signalé sur launchpad, espérons qu’il sera rapidement corrigé :

https://bugs.launchpad.net/ubuntu/+source/gtk+3.0/+bug/1184159

https://bugs.launchpad.net/ubuntu/+source/compiz/+bug/1200829

Syspeek

Voici un dépôt qui met à disposition une version de Sysypeek compatible avec Saucy :

https://launchpad.net/~dr3mro/+archive/personal?field.series_filter=saucy

Nautilus compare

Cette petite extension bien pratique génère un crash de nautilus (le bug semble être réglé dans la version 14.0.4) :

https://bugs.launchpad.net/ubuntu/+source/nautilus-python/+bug/1203349

Du côté d’Apache

La nouvelle version 2.4.x d’Apache utilise une syntaxe différente pour la gestion des virtualhosts. L’instruction suivante :

Order allow,deny
Allow from all

est à remplacer par :

Require all granted

Source : Upgrading to 2.4 from 2.2.

Pour les modules, les fichiers de configuration sont à placer dans /etc/apache2/conf-available et on les active avec a2enconf.

Source : http://askubuntu.com/a/362992/240470

Le site de MariaDB ne proposant pas encore de dépôts pour Saucy, j’ai basculé vers le dépôt suivant :

https://launchpad.net/~mysql-ubuntu/+archive/mariadb

Problème de versions entre mariadb 5.5.33a+maria-1 saucy et 5.5.34-0ubuntu0.13.10.1 0 :

http://askubuntu.com/questions/365992/ubuntu-13-10-installing-mariadb/366491

Utiliser la seconde solution : Pinning the MariaDB Repository.